# PhasicFlow: timeInfo Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

timeInfo Class Reference

## Public Member Functions

| timeInfo (uint32 cIter, real cTime, real dt)
const real & | t () const
const real & | dt () const
const uint32 & | iter () const

## Private Attributes

uint32 | currentIter_
real | currentTime_
real | dt_

## Detailed Description

Definition at line 28 of file timeInfo.hpp.

## Constructor & Destructor Documentation

## timeInfo()

timeInfo | ( | uint32 | cIter,
|  | real | cTime,
|  | real | dt
| ) |  |

inline

Definition at line 40 of file timeInfo.hpp.

## Member Function Documentation

## t()

const real& t | ( |  | ) | const

inline

Definition at line 47 of file timeInfo.hpp.

References timeInfo::currentTime_.

Referenced by pointStructure::beforeIteration(), ContactSearch< searchMethod >::BoundaryBroadSearch(), ContactSearch< searchMethod >::BroadSearch(), sphereInteraction< contactForceModel, geometryMotionModel, contactListType >::iterate(), grainInteraction< contactForceModel, geometryMotionModel, contactListType >::iterate(), and subscriber::notify().

Here is the caller graph for this function:

## dt()

const real& dt | ( |  | ) | const

inline

Definition at line 51 of file timeInfo.hpp.

References timeInfo::dt_.

Referenced by pointStructure::beforeIteration(), ContactSearch< searchMethod >::BoundaryBroadSearch(), ContactSearch< searchMethod >::BroadSearch(), sphereInteraction< contactForceModel, geometryMotionModel, contactListType >::iterate(), grainInteraction< contactForceModel, geometryMotionModel, contactListType >::iterate(), and subscriber::notify().

Here is the caller graph for this function:

## iter()

const uint32& iter | ( |  | ) | const

inline

Definition at line 55 of file timeInfo.hpp.

References timeInfo::currentIter_.

Referenced by boundaryList::afterIteration(), pointStructure::beforeIteration(), boundaryList::beforeIteration(), ContactSearch< searchMethod >::BoundaryBroadSearch(), ContactSearch< searchMethod >::BroadSearch(), contactSearch::enterBroadSearch(), grainInteraction< contactForceModel, geometryMotionModel, contactListType >::iterate(), sphereInteraction< contactForceModel, geometryMotionModel, contactListType >::iterate(), and subscriber::notify().

Here is the caller graph for this function:

## Member Data Documentation

## currentIter_

uint32 currentIter_

private

Definition at line 32 of file timeInfo.hpp.

Referenced by timeInfo::iter().

## currentTime_

real currentTime_

private

Definition at line 34 of file timeInfo.hpp.

Referenced by timeInfo::t().

## dt_

real dt_

private

Definition at line 36 of file timeInfo.hpp.

Referenced by timeInfo::dt().

The documentation for this class was generated from the following file:

- src/phasicFlow/repository/Time/timeInfo.hpp